vector_member_ptrs< T > Class Template Reference

Manages resources for an array of objects. More...

## Public Member Functions

| vector_member_ptrs (size_t size=0)
| Construct an arry of `T`. More...
member_ptr< T > & | operator[] (size_t index)
const member_ptr< T > & | operator[] (size_t index) const
size_t | size () const
void | resize (size_t newSize)

## Detailed Description

### template<class T>
class vector_member_ptrs< T >

Manages resources for an array of objects.

Template Parameters

  T | class or type

Definition at line 220 of file smartptr.h.

## Constructor & Destructor Documentation

## vector_member_ptrs()

template<class T >

vector_member_ptrs< T >::vector_member_ptrs | ( | size_t | size = `0` | ) |

inline

Construct an arry of `T`.

Parameters

  size | the size of the array, in elements

If `T` is a Plain Old Dataype (POD), then the array is uninitialized.

Definition at line 226 of file smartptr.h.

The documentation for this class was generated from the following file:

- smartptr.h